commit:     b2cc2e92a9ffadda863419ef922693c7e21d6b77
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 17 12:33:32 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 13:35:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2cc2e92

dev-python/hypothesis: Bump to 6.86.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                 |  1 +
 dev-python/hypothesis/hypothesis-6.86.1.ebuild | 91 ++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 27da0dcdcac4..4b4c621678d3 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
 DIST hypothesis-6.83.1.gh.tar.gz 9380569 BLAKE2B 
a1af77a089ade4a957fd66036095436861ff96dca3c9670ae87f28ba4223531168175329a43574c744ce0d91786bed2ed911837642c9506341f94875080e5a5b
 SHA512 
4649061550b0d1ac96217c5cfd5e6eb44352eee6b81861fd93138fffaac3d85a87644c3faff221f6bb389f2bebdc47436f5ea70fc746aada2d25c78a74a21fec
 DIST hypothesis-6.84.3.gh.tar.gz 9386113 BLAKE2B 
9d990b1634e7cd12f933f3a53b4231f8df40bc33a7cbe742832ac74510471a54f8d7a23eaaa23a43b54466120be85ded0820ced8f0b1aee556032e4a8bb0a423
 SHA512 
84669e76c30a1b47439c826f67e11fce4eb6cf22a6ac09f91f3d07b1b02cbc972096431deb67ef8c63f12e3dbd7bcad35bc24b469a354d7808ca8d96d816c611
 DIST hypothesis-6.85.1.gh.tar.gz 9387516 BLAKE2B 
362dc9adff39e0229307ed4d8c63a2c78a2653d5b880a7748218bccb3a4f6e36c6a0e38d51aa72a5acfb8e66f9d1418dbf8d039b855a6596515257d815566cc8
 SHA512 
4916575f60b9472d58a02a776fdf7794ea83e9e59b414a05f5ed06aff31ed91719485ceddec8233125425393444f0487ab2a6adae7c9cd6d3448460c20d3c556
+DIST hypothesis-6.86.1.gh.tar.gz 9388105 BLAKE2B 
92a645c1e2f0d40bb96271b9539f415d5bdf8a57c50d658a8d041802cc3adc49708c420127bf0ae0daca1480c975766b5c4b1d4a07b18c020a608ea577e1894f
 SHA512 
133adced2ef15f64aca404384ac372d36dec4a28b8b768631b09de6698fb718bd27c062546f0fe8b428510c51014ff124d4469e1b904aedc2fdd84183cee48bf

diff --git a/dev-python/hypothesis/hypothesis-6.86.1.ebuild 
b/dev-python/hypothesis/hypothesis-6.86.1.ebuild
new file mode 100644
index 000000000000..0d6df2a9e475
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.86.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+       https://github.com/HypothesisWorks/hypothesis/
+       https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+       https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+       ' 3.9 3.10)
+       cli? (
+               $(python_gen_cond_dep '
+                       dev-python/black[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+               ' "${CLI_COMPAT[@]}")
+       )
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               !!<dev-python/requests-toolbelt-0.10.1
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       # subtests are broken by warnings from random plugins
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x 
PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+       local -x HYPOTHESIS_NO_PLUGINS=1
+
+       # NB: paths need to be relative to pytest.ini,
+       # i.e. start with hypothesis-python/
+       local EPYTEST_DESELECT=()
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               # failing due to warnings from numpy/cython
+                               
hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+                       )
+                       ;;
+       esac
+
+       epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+               tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+       distutils-r1_python_install
+       if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+               rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+       fi
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to